%define name 	lumiere
%define version 0.4
%define release %mkrel 12

Name: 		%{name}
Summary: 	Capable, customizable, embeddable video player for GNOME2
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.nongnu.org/lumiere
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	mplayer
BuildRequires:	gob2
BuildRequires:	libxine-devel >= 1 
BuildRequires:  libgnomeui2-devel libmesaglu-devel
BuildRequires:  gtkglarea2-devel libglade2.0-devel freetype2-static-devel desktop-file-utils

%description
Lumiere is a GNOME frontend to mplayer the great movie player for *nix. and to
libxine from the xine project.  It includes full support for bonobo control,
a CORBA server for handling video files, and Nautilus View integrates lumiere
inside Nautilus.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr $RPM_BUILD_ROOT/%{_sysconfdir}

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="video_section.png" needs="x11" title="Lumiere" longtitle="Video Player" section="Multimedia/Video" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Multimedia" \
  --add-category="GNOME" \
  --add-category="AudioVideo;Video;Player" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog 
%{_bindir}/%name
%{_libdir}/bonobo/servers/*
%{_libdir}/lumiere-control
%{_libdir}/midentify
%{_datadir}/applications/%name.desktop
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/pixmaps/*
%{_datadir}/%name
%{_menudir}/%name


%changelog
* Fri Sep 15 2006 Emmanuel Andry <eandry@mandriva.org> 0.4-12mdv2007.0
- buildrequires libmesaglu-devel

* Tue Sep 12 2006 Emmanuel Andry <eandry@mandriva.org> 0.4-11mdv2007.0
- buildrequires desktop-file-utils
- fix summary ended with dot

* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.4-10mdv2007.0
- Oops ! forgot the menu

* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.4-9mdv2007.0
- xdg menu
- %%mkrel
- fix buildrequires

* Fri Mar 31 2006 Austin Acton <austin@mandriva.org> 0.4-8mdk
- Rebuild

* Tue Jun 8 2004 Austin Acton <austin@mandrake.org> 0.4-7mdk
- rebuild

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4-6mdk
- buildrequires libxine1-devel instead of libxine-devel

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4-5mdk
- configure2_5x macro
- fix buildrequires

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.4-4mdk
- new URL
- add buildrequires freetype-static

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.4-3mdk
- buildrequires libglade2.0-devel

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 0.4-2mdk
- redo description

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 0.4-1mdk
- 0.4
- redo description to include libxine
- buildrequires libxine-devel, libgtkglarea2-devel

* Tue Feb 4 2003 Austin Acton <aacton@yorku.ca> 0.3.0-2mdk
- remove /etc stuff

* Sat Jan 18 2003 Austin Acton <aacton@yorku.ca> 0.3.0-1mdk
- nicer description
- 0.3.0

* Tue Jan 14 2003 Austin Acton <aacton@yorku.ca> 0.2-1mdk
- initial package
- icon is currently corrupted, but code is here; uncomment when icon works

